Update connector
curl --request PUT \
--url https://api.getcargo.io/v1/connection/connectors/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"isDefault": true,
"config": {},
"rateLimit": {
"max": 123
},
"cacheTtlMilliseconds": 123
}
'import requests
url = "https://api.getcargo.io/v1/connection/connectors/{uuid}"
payload = {
"name": "<string>",
"isDefault": True,
"config": {},
"rateLimit": { "max": 123 },
"cacheTtlMilliseconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
isDefault: true,
config: {},
rateLimit: {max: 123},
cacheTtlMilliseconds: 123
})
};
fetch('https://api.getcargo.io/v1/connection/connectors/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getcargo.io/v1/connection/connectors/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'isDefault' => true,
'config' => [
],
'rateLimit' => [
'max' => 123
],
'cacheTtlMilliseconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getcargo.io/v1/connection/connectors/{uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"config\": {},\n \"rateLimit\": {\n \"max\": 123\n },\n \"cacheTtlMilliseconds\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getcargo.io/v1/connection/connectors/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"config\": {},\n \"rateLimit\": {\n \"max\": 123\n },\n \"cacheTtlMilliseconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getcargo.io/v1/connection/connectors/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"config\": {},\n \"rateLimit\": {\n \"max\": 123\n },\n \"cacheTtlMilliseconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"connector": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"slug": "<string>",
"rateLimit": {
"unit": "day",
"max": 123
},
"cacheTtlMilliseconds": 123,
"integrationSlug": "<string>",
"isDefault": true,
"playsCount": 123,
"toolsCount": 123,
"modelsCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"useCredits": true,
"isManaged": true,
"config": null
}
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}Connection - Connectors
Update connector
Update a connector (PUT /connection/connectors/).
PUT
/
connection
/
connectors
/
{uuid}
Update connector
curl --request PUT \
--url https://api.getcargo.io/v1/connection/connectors/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"isDefault": true,
"config": {},
"rateLimit": {
"max": 123
},
"cacheTtlMilliseconds": 123
}
'import requests
url = "https://api.getcargo.io/v1/connection/connectors/{uuid}"
payload = {
"name": "<string>",
"isDefault": True,
"config": {},
"rateLimit": { "max": 123 },
"cacheTtlMilliseconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
isDefault: true,
config: {},
rateLimit: {max: 123},
cacheTtlMilliseconds: 123
})
};
fetch('https://api.getcargo.io/v1/connection/connectors/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getcargo.io/v1/connection/connectors/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'isDefault' => true,
'config' => [
],
'rateLimit' => [
'max' => 123
],
'cacheTtlMilliseconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getcargo.io/v1/connection/connectors/{uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"config\": {},\n \"rateLimit\": {\n \"max\": 123\n },\n \"cacheTtlMilliseconds\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getcargo.io/v1/connection/connectors/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"config\": {},\n \"rateLimit\": {\n \"max\": 123\n },\n \"cacheTtlMilliseconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getcargo.io/v1/connection/connectors/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"config\": {},\n \"rateLimit\": {\n \"max\": 123\n },\n \"cacheTtlMilliseconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"connector": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"slug": "<string>",
"rateLimit": {
"unit": "day",
"max": 123
},
"cacheTtlMilliseconds": 123,
"integrationSlug": "<string>",
"isDefault": true,
"playsCount": 123,
"toolsCount": 123,
"modelsCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"useCredits": true,
"isManaged": true,
"config": null
}
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}Authorizations
bearerAuthoauth2
Scopes
Headers
Client-generated key that makes this write safe to retry. Reusing the same key with the same request returns the original response instead of creating a second record. Reusing it with a different request returns 422. A concurrent retry while the first request is still running returns 409. Keys expire after 24 hours. Not accepted on multipart file uploads. Optional: a request without one is processed as it always was.
Maximum string length:
255Example:
"8e03978e-40d5-43e8-bc93-6894a57f9324"
Path Parameters
Body
application/json
Request body schema.
Was this page helpful?

